Search
Bootstrap Search
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
Bootstrap search is a component which enables the user to find words, sentences, and numbers in a collection of documents, web pages or other sources.
It can be implemented with buttons or icons, than placed as an input or in a navbar for an even better user experience.
Examples of Bootstrap search use:
- Databases
- Search engines
- Built-in search box on a documentation page (like the one on the left)
You can use the Material Design version or the default Bootstrap style.
Basic example
Basic example of search form.
<!-- Search form -->
<div class="md-form mt-0">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
Search with colorful border
Always colorful or only in the :focus state.
<!-- Search form -->
<div class="md-form active-pink active-pink-2 mb-3 mt-0">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="md-form active-purple active-purple-2 mb-3">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="md-form active-cyan active-cyan-2 mb-3">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="md-form active-pink-2 mb-3">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="md-form active-purple-2 mb-3">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="md-form active-cyan-2 mb-3">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
.active-pink-2 input.form-control[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input.form-control[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input.form-control[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input.form-control[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input.form-control[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input.form-control[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
<!-- Search form -->
<div class="active-pink-3 active-pink-4 mb-4">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="active-purple-3 active-purple-4 mb-4">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="active-cyan-3 active-cyan-4 mb-4">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="active-pink-4 mb-4">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="active-purple-4 mb-4">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
<!-- Search form -->
<div class="active-cyan-4 mb-4">
<input class="form-control" type="text" placeholder="Search" aria-label="Search">
</div>
.active-pink-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type=text] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-purple-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-purple-3 input[type=text] {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-cyan-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 input[type=text] {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
Search with icon
Always colorful or only in the :focus state.
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm mt-0">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm active-pink active-pink-2 mt-2">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm active-purple active-purple-2 mt-2">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm active-cyan active-cyan-2 mt-2">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm active-pink-2 mt-2">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm active-purple-2 mt-2">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
<!-- Search form -->
<form class="form-inline d-flex justify-content-center md-form form-sm active-cyan-2 mt-2">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
.active-pink-2 input.form-control[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input.form-control[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input.form-control[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input.form-control[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input.form-control[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input.form-control[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan .fa, .active-cyan-2 .fa {
color: #4dd0e1;
}
.active-purple .fa, .active-purple-2 .fa {
color: #ce93d8;
}
.active-pink .fa, .active-pink-2 .fa {
color: #f48fb1;
}
<!-- Search form -->
<form class="form-inline">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline active-pink-3 active-pink-4">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline active-purple-3 active-purple-4">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline active-cyan-3 active-cyan-4">
<i class="fas fa-search" aria-hidden="true"></i>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search"
aria-label="Search">
</form>
<!-- Search form -->
<form class="form-inline ">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
<!-- Search form -->
<form class="form-inline active-pink-4">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
<!-- Search form -->
<form class="form-inline active-purple-4">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
<!-- Search form -->
<form class="form-inline active-cyan-4">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search"
aria-label="Search">
<i class="fas fa-search" aria-hidden="true"></i>
</form>
.active-pink-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan .fa, .active-cyan-2 .fa {
color: #4dd0e1;
}
.active-purple .fa, .active-purple-2 .fa {
color: #ce93d8;
}
.active-pink .fa, .active-pink-2 .fa {
color: #f48fb1;
}
Search with input group
<div class="input-group md-form form-sm form-1 pl-0">
<div class="input-group-prepend">
<span class="input-group-text purple lighten-3" id="basic-text1"><i class="fas fa-search text-white"
aria-hidden="true"></i></span>
</div>
<input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
</div>
<div class="input-group md-form form-sm form-1 pl-0">
<div class="input-group-prepend">
<span class="input-group-text cyan lighten-2" id="basic-text1"><i class="fas fa-search text-white"
aria-hidden="true"></i></span>
</div>
<input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
</div>
<div class="input-group md-form form-sm form-1 pl-0">
<div class="input-group-prepend">
<span class="input-group-text pink lighten-3" id="basic-text1"><i class="fas fa-search text-white"
aria-hidden="true"></i></span>
</div>
<input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
</div>
<div class="input-group md-form form-sm form-2 pl-0">
<input class="form-control my-0 py-1 amber-border" type="text" placeholder="Search" aria-label="Search">
<div class="input-group-append">
<span class="input-group-text amber lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
aria-hidden="true"></i></span>
</div>
</div>
<div class="input-group md-form form-sm form-2 pl-0">
<input class="form-control my-0 py-1 lime-border" type="text" placeholder="Search" aria-label="Search">
<div class="input-group-append">
<span class="input-group-text lime lighten-2" id="basic-text1"><i class="fas fa-search text-grey"
aria-hidden="true"></i></span>
</div>
</div>
<div class="input-group md-form form-sm form-2 pl-0">
<input class="form-control my-0 py-1 red-border" type="text" placeholder="Search" aria-label="Search">
<div class="input-group-append">
<span class="input-group-text red lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
aria-hidden="true"></i></span>
</div>
</div>
.input-group.md-form.form-sm.form-1 input{
border: 1px solid #bdbdbd;
border-top-right-radius: 0.25rem;
border-bottom-right-radius: 0.25rem;
}
.input-group.md-form.form-sm.form-2 input {
border: 1px solid #bdbdbd;
border-top-left-radius: 0.25rem;
border-bottom-left-radius: 0.25rem;
}
.input-group.md-form.form-sm.form-2 input.red-border {
border: 1px solid #ef9a9a;
}
.input-group.md-form.form-sm.form-2 input.lime-border {
border: 1px solid #cddc39;
}
.input-group.md-form.form-sm.form-2 input.amber-border {
border: 1px solid #ffca28;
}
Search within select MDB Pro component
<!--Blue select-->
<select class="mdb-select md-form colorful-select dropdown-primary" searchable="Search here..">
<option value="1">Option 1</option>
<option value="2">Option 2</option>
<option value="3">Option 3</option>
<option value="4">Option 4</option>
<option value="5">Option 5</option>
</select>
<label class="mdb-main-label">Example label</label>
<select class="mdb-select" searchable="Search here..">
<option value="1" disabled selected>Choose your option</option>
<option value="2" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" class="rounded-circle">
example
1</option>
<option value="3" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp" class="rounded-circle">
example
2</option>
<option value="4" data-icon="https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp" class="rounded-circle">
example
1</option>
</select>
// Material Select
$('.mdb-select').materialSelect({
});
Search within multiselect MDB Pro component
<select class="mdb-select md-form colorful-select dropdown-primary" multiple searchable="Search here..">
<option value="" disabled selected>Choose your country</option>
<option value="1">USA</option>
<option value="2">Germany</option>
<option value="3">France</option>
<option value="3">Poland</option>
<option value="3">Japan</option>
</select>
<label class="mdb-main-label">Label example</label>
<select class="mdb-select" multiple searchable="Search here..">
<optgroup label="team 1">
<option value="1">Option 1</option>
<option value="2">Option 2</option>
</optgroup>
<optgroup label="team 2">
<option value="3">Option 3</option>
<option value="4">Option 4</option>
</optgroup>
</select>
// Material Select
$('.mdb-select').materialSelect({
});
Search table items
| Firstname | Lastname | |
|---|---|---|
| John | Doe | john@example.com |
| Mary | Moe | mary@mail.com |
| July | Dooley | july@greatstuff.com |
| Anja | Ravendale | a_r@test.com |
<div class="container">
<input class="form-control mb-4" id="tableSearch" type="text"
placeholder="Type something to search list items">
<table class="table table-bordered table-striped">
<thead>
<tr>
<th>Firstname</th>
<th>Lastname</th>
<th>Email</th>
</tr>
</thead>
<tbody id="myTable">
<tr>
<td>John</td>
<td>Doe</td>
<td>john@example.com</td>
</tr>
<tr>
<td>Mary</td>
<td>Moe</td>
<td>mary@mail.com</td>
</tr>
<tr>
<td>July</td>
<td>Dooley</td>
<td>july@greatstuff.com</td>
</tr>
<tr>
<td>Anja</td>
<td>Ravendale</td>
<td>a_r@test.com</td>
</tr>
</tbody>
</table>
</div>
// Filter table
$(document).ready(function(){
$("#tableSearch").on("keyup", function() {
var value = $(this).val().toLowerCase();
$("#myTable tr").filter(function() {
$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
});
});
});
Search list items
- First item
- Second item
- Third item
- Fourth item
<div class="container">
<input class="form-control" id="listSearch" type="text" placeholder="Type something to search list items">
<br>
<ul class="list-group" id="myList">
<li class="list-group-item">First item</li>
<li class="list-group-item">Second item</li>
<li class="list-group-item">Third item</li>
<li class="list-group-item">Fourth item</li>
</ul>
</div>
//Filter list
$(document).ready(function(){
$("#listSearch").on("keyup", function() {
var value = $(this).val().toLowerCase();
$("#myList li").filter(function() {
$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
});
});
});
Search anything
I am a paragraph.
Another paragraph.
<div class="container">
<input class="form-control" id="anythingSearch" type="text" placeholder="Type something to search list items">
<div id="myDIV">
<p>I am a paragraph.</p>
<div>I am a div element inside div.</div>
<button class="btn btn-default">I am a button</button>
<button class="btn btn-info">Another button</button>
<p>Another paragraph.</p>
</div>
</div>
// FIlter anything
$(document).ready(function () {
$("#anythingSearch").on("keyup", function () {
var value = $(this).val().toLowerCase();
$("#myDIV *").filter(function () {
$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
});
});
});

Angular Bootstrap Search
Angular Search - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
Angular Bootstrap search is a component that enables the process of finding words, sentences, and numbers in the collection of documents, web pages or other sources.
It can be implemented with buttons or icons and placed as an input or in the navbar for an even better user experience.
Examples of Angular Bootstrap search use include:
- Databases
- Search engines
- Built-in search box on documentation pages (like the one on the left)
Basic example
<!-- Search form -->
<form class="form-inline waves-light" mdbWavesEffect>
<div class="md-form mt-0">
<input class="form-control mr-sm-2" type="text" placeholder="Search">
</div>
</form>
Search with colorful border
Colorful always or only in the
:focus state.
<form>
<div class="md-form active-pink active-pink-2 mb-3">
<input class="form-control" type="search" id="search1" aria-label="Search" mdbInput>
<label for="search1">Search</label>
</div>
<!-- Search form -->
<div class="md-form active-purple active-purple-2 mb-3">
<input class="form-control" type="search" id="search2" aria-label="Search" mdbInput>
<label for="search2">Search</label>
</div>
<!-- Search form -->
<div class="md-form active-cyan active-cyan-2 mb-3">
<input class="form-control" type="search" id="search3" aria-label="Search" mdbInput>
<label for="search3">Search</label>
</div>
<!-- Search form -->
<div class="md-form active-pink-2 mb-3">
<input class="form-control" type="search" id="search4" aria-label="Search" mdbInput>
<label for="search4">Search</label>
</div>
<!-- Search form -->
<div class="md-form active-purple-2 mb-3">
<input class="form-control" type="search" id="search5" aria-label="Search" mdbInput>
<label for="search5">Search</label>
</div>
<!-- Search form -->
<div class="md-form active-cyan-2 mb-3">
<input class="form-control" type="search" id="search6" aria-label="Search" mdbInput>
<label for="search6">Search</label>
</div>
</form>
.active-pink-2 input[type=search]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input[type=search] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=search]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=search] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=search]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=search] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
Search with icon
Colorful always or only in the
:focus state.
<!-- Search form -->
<form class="form-inline md-form form-sm">
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm active-pink active-pink-2">
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm active-purple active-purple-2">
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm active-cyan active-cyan-2">
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
<input class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm active-pink-2">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm active-purple-2">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
</form>
<!-- Search form -->
<form class="form-inline md-form form-sm active-cyan-2">
<input class="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search"
mdbInput>
<mdb-icon fas icon="search" aria-hidden="true"></mdb-icon>
</form>
.active-pink-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan .fa,
.active-cyan-2 .fa {
color: #4dd0e1;
}
.active-purple .fa,
.active-purple-2 .fa {
color: #ce93d8;
}
.active-pink .fa,
.active-pink-2 .fa {
color: #f48fb1;
}
Searching with local data
Below you will find a basic example of how you can implement local data searches in your application. In this example, the filtering of the results is achieved by using a custom pipe.
First, define the dataset you want to use to filter the results for.
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.scss'],
})
export class AppComponent {
dataset = ['MDB', 'Angular', 'Bootstrap', 'Framework', 'SPA', 'React', 'Vue'];
}
Then create an html markup for searching, and displaying the results.
<div class="md-form">
<input type="search" [(ngModel)]="searchText" placeholder="Search text">
</div>
<ul *ngFor="let data of dataset | filter: searchText">
<li>{{data}}</li>
</ul>
The next step is to generate a pipe in which you can place the logic for filtering the results. To do this, use the Angular CLI command below:
ng generate pipe filter
The last step is to fill the previously created pipe with the filtering logic.
import { Pipe, PipeTransform } from '@angular/core';
@Pipe({
name: 'filter'
})
export class FilterPipe implements PipeTransform {
transform(items: any[], searchText: string): any[] {
if (!items) {
return [];
}
if (!searchText) {
return items;
}
searchText = searchText.toLocaleLowerCase();
return items.filter(it => {
return it.toLocaleLowerCase().includes(searchText);
});
}
}
Searching with remote data
Below you will find a basic example of how you can implement remote data searches in your application. In this example, the filtering of the results is achieved by using a custom pipe.
First, create a variable to hold your Fake API URL, and provide code which connects your application with the remote
API.
Then send a HTTP GET request to pull data from remote API to your application, and populate the usersArray with this
data.
// Fake API URL
url: string = 'https://jsonplaceholder.typicode.com/users';
usersArray: Array = [];
constructor(private http: Http) {
this.http.get(this.url).subscribe(data => {
// Populating usersArray with names from API
data.json().forEach(element => {
this.usersArray.push(element.name);
});
});
}
Then create an html markup for searching, and displaying the results.
<div class="md-form">
<input type="search" [(ngModel)]="searchText" placeholder="Search text">
</div>
<ul *ngFor="let user of usersArray | filter: searchText">
<li>{{user}}</li>
</ul>
The next step is to generate a pipe in which you can place the logic for filtering the results. To do this, use the Angular CLI command below:
ng generate pipe filter
The last step is to fill the previously created pipe with the filtering logic.
import { Pipe, PipeTransform } from '@angular/core';
@Pipe({
name: 'filter'
})
export class FilterPipe implements PipeTransform {
transform(items: any[], searchText: string): any[] {
if (!items) {
return [];
}
if (!searchText) {
return items;
}
searchText = searchText.toLocaleLowerCase();
return items.filter(it => {
return it.toLocaleLowerCase().includes(searchText);
});
}
}
Angular Search - API
In this section you will find informations about required modules and available inputs, outputs, methods and events of search component.
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
API Reference for MDB Angular Search:
import { WavesModule, InputsModule, ButtonsModule } from 'ng-uikit-pro-standard';
import { FormsModule } from '@angular/forms';
import { WavesModule, InputsModule, ButtonsModule } from 'angular-bootstrap-md';
import { FormsModule } from '@angular/forms';

React Bootstrap Search
React Search - Bootstrap 4 & Material Design.
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
Bootstrap search is a component which enables a process of finding words, sentences, and numbers in the collection of documents, web pages or other sources.
It can be implemented with buttons or icons and placed as an input or in navbar for even better user experience.
Basic example
import React from "react";
import { MDBInput, MDBCol } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<MDBInput hint="Search" type="text" containerClass="mt-0" />
</MDBCol>
);
}
export default SearchPage;
import React from "react";
import { MDBCol } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</MDBCol>
);
}
export default SearchPage;
Search with colorful border
import React from "react";
import { MDBCol, MDBInput } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<MDBInput hint="Search" type="text" containerClass="active-pink active-pink-2 mt-0 mb-3" />
</MDBCol>
);
}
export default SearchPage;
.active-pink-2 input[type="text"]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
import React from "react";
import { MDBCol } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<div className="active-pink-3 active-pink-4 mb-4">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
</MDBCol>
);
}
export default SearchPage;
.active-pink-4 input[type="text"]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type="text"] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
Search with icon
import React from "react";
import { MDBCol, MDBFormInline, MDBIcon } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<MDBFormInline className="md-form">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
</MDBCol>
);
}
export default SearchPage;
import React from "react";
import { MDBCol, MDBIcon } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<form className="form-inline mt-4 mb-4">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
</MDBCol>
);
}
export default SearchPage;
Search with input group
import React from "react";
import { MDBCol, MDBIcon } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text purple lighten-3" id="basic-text1">
<MDBIcon className="text-white" icon="search" />
</span>
</div>
<input
className="form-control my-0 py-1"
type="text"
placeholder="Search"
aria-label="Search"
/>
</div>
</MDBCol>
);
};
export default SearchPage;
.input-group.md-form.form-sm.form-1 input {
border: 1px solid #bdbdbd;
border-top-right-radius: 0.25rem;
border-bottom-right-radius: 0.25rem;
}
Search within select MDB Pro component
import React, { Component } from "react";
import {
MDBCol,
MDBSelectInput,
MDBSelect,
MDBSelectOptions,
MDBSelectOption,
} from "mdbreact";
class SearchPage extends Component {
getValueOfSelectOne = (value) => {
console.log(value);
};
render() {
return (
<MDBCol md="6">
<MDBSelect getValue={(value) => this.getValueOfSelectOne(value)}>
<MDBSelectInput selected="Choose your option" />
<MDBSelectOptions search>
<MDBSelectOption disabled>Choose your option</MDBSelectOption>
<MDBSelectOption>Option nr 1</MDBSelectOption>
<MDBSelectOption>Option nr 2</MDBSelectOption>
<MDBSelectOption>Option nr 3</MDBSelectOption>
<MDBSelectOption>Option nr 4</MDBSelectOption>
<MDBSelectOption>Option nr 5</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
</MDBCol>
);
}
}
export default SearchPage;
Search within multiselect MDB Pro component
import React, { Component } from "react";
import {
MDBCol,
MDBSelectInput,
MDBSelect,
MDBSelectOptions,
MDBSelectOption,
} from "mdbreact";
class SearchPage extends Component {
getValueOfSelectOne = (value) => {
console.log(value);
};
render() {
return (
<MDBCol md="6">
<MDBSelect
multiple
getValue={(value) => this.getValueOfSelectOne(value)}
>
<MDBSelectInput selected="Choose your option" />
<MDBSelectOptions search>
<MDBSelectOption disabled>Choose your option</MDBSelectOption>
<MDBSelectOption>Option nr 1</MDBSelectOption>
<MDBSelectOption>Option nr 2</MDBSelectOption>
<MDBSelectOption>Option nr 3</MDBSelectOption>
<MDBSelectOption>Option nr 4</MDBSelectOption>
<MDBSelectOption>Option nr 5</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
</MDBCol>
);
}
}
export default SearchPage;
React Search - API
In this section you will find advanced information about the React Search component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.
Import statement
In order to use Search component make sure you have imported proper module first.
import React from 'react';
import { MDBInput } from 'mdbreact';
API Reference: Properties
The table below shows the configuration options of the MDBInput component.
| Name | Type | Default | Description | Example |
|---|---|---|---|---|
checked |
Boolean | false |
Pre-selects checkbox/radio button when the page loads. | <MDBInput checked /> |
className |
String | Adds custom class to Input component | <MDBInput className="myClass" /> |
|
containerClass |
String | Adds custom class to wrapping div | <MDBInput containerClass="wrapper" /> |
|
disabled |
Boolean | false |
Disables input component | <MDBInput disabled /> |
error |
String | Sets the error message for the labels data-error attribute |
<MDBInput error="Whoops!" /> |
|
filled |
Boolean | false |
Add filled-in style to checkbox/radio button | <MDBInput type="checkbox" filled /> |
gap |
Boolean | false |
Creates gap inside checkbox/radio button | <MDBInput type="checkbox" gap /> |
group |
Boolean | false |
Add .form-group class to the wrapping div | <MDBInput group /> |
hint |
String | Sets the placeholder for the Input | <MDBInput hint="Placeholder" /> |
|
icon |
String | |
Adds font-awesome icon |
<MDBInput icon="caret-right" />
|
iconBrand |
Boolean | false |
Use this property to set brand icon (fab) |
<MDBInput icon="twitter" iconBrand />
|
iconClassName |
String | |
Adds custom classes to icon element |
<MDBInput icon="envelope" iconClassName="customClass" />
|
iconLight |
Boolean | false |
Use this property to set light icon (fal) |
<MDBInput icon="twitter" iconLight />
|
iconRegular |
Boolean | false |
Use this property to set regular icon (far) |
<MDBInput icon="twitter" iconRegular />
|
iconSize |
String | |
Sets icon size |
<MDBInput icon="pencil-alt" size="5x" />
|
id |
String | Required! Set the id of the input element | <MDBInput id="myId" /> |
|
inputRef |
Function | Allows to attach React Ref to the input component; accepts only Callback Ref | <MDBInput inputRef={ref => this.myRef = ref } /> |
|
label |
String | Add label to the component; you can attach jsx elements (f.e. links) | <MDBInput label="My custom input" /> |
|
labelClass |
String | Adds custom class to the label | <MDBInput labelClass="labelCustomClass" /> |
|
size |
String | Changes size of the component; available lg and sm |
<MDBInput size="sm" /> |
|
success |
String | Sets the success message for the labels data-success attribute |
<MDBInput success="Yeah!" /> |
|
tag |
String | input |
Changes default input tag | <MDBInput tag="div" /> |
type |
String | text |
The type of the input element | <MDBInput type="checkbox" /> |
validate |
Boolean | false |
Adds .validate class to the Input component | <MDBInput validate /> |
value |
String | The value of the input element (use with the controlled input) | <MDBInput value="I am controlled" onChange={this.handleChange} /> |
|
valueDefault |
String | The default value of the input (use with the uncontrolled input) | <MDBInput valueDefault="I am uncontrolled" /> |
API Reference: Methods
The table below shows the methods which you can use with MDBInput component.
| Name | Parameters | Description | Example |
|---|---|---|---|
getValue |
Method called on input change event; returns input value | <MDBInput getValue={this.getValue} /> |
|
onBlur |
Method called on blur event, the blur event is raised when an element loses focus; returns event object | <MDBInput onBlur={this.handleBlur} /> |
|
onChange |
Method called on change event; returns event object | <MDBInput onChange={this.handleChange} /> |
|
onFocus |
Method called on focus event, the focus event is raised when the user sets focus on en element; returns event object | <MDBInput onFocus={this.handleFocus} /> |
|
onInput |
Method called on input event; returns event object | <MDBInput onInput={this.handleInput} /> |
React Search - examples & customization
Quickly get a project started with any of our examples.
Example usage of search
Example above presents simple implementation of searchable list of elements inside modal.
import React from "react";
import {
MDBInput,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter,
MDBBtn,
MDBListGroup,
MDBListGroupItem,
} from "mdbreact";
import countries from "./countries";
class SearchPage extends React.Component {
state = {
dataSet: countries,
filteredSet: countries,
searchValue: "",
modalOpen: false,
};
handleSearch = (event) =>
this.setState({ searchValue: event.target.value }, () =>
this.searchForCountry()
);
searchForCountry = () => {
this.setState((prevState) => {
const filteredSet = prevState.dataSet.filter((item) =>
item.toLowerCase().match(this.state.searchValue.toLowerCase())
);
return { filteredSet };
});
};
toggleModal = () => this.setState({ modalOpen: !this.state.modalOpen });
render() {
return (
<div>
<MDBBtn onClick={this.toggleModal}>Click to open search modal</MDBBtn>
<MDBModal
isOpen={this.state.modalOpen}
toggle={this.toggleModal}
backdrop={false}
size="sm"
side
position="top-right"
>
<MDBModalHeader toggle={this.toggleModal}>Modal title</MDBModalHeader>
<MDBModalBody>
<MDBInput
value={this.state.searchValue}
onChange={this.handleSearch}
hint="Search for country"
type="text"
containerClass="mt-0"
/>
<MDBListGroup>
{this.state.filteredSet.map((item) => (
<MDBListGroupItem key={item}>{item}</MDBListGroupItem>
))}
</MDBListGroup>
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggleModal}>
Close
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</div>
);
}
}
export default SearchPage;
const countries = [
"Afghanistan",
"Albania",
"Algeria",
"Andorra",
"Angola",
"Antigua and Barbuda",
"Argentina",
"Armenia",
"Australia",
"Austria",
"Azerbaijan",
"Bahamas",
"Bahrain",
"Bangladesh",
"Barbados",
"Belarus",
"Belgium",
"Belize",
"Benin",
"Bhutan",
"Bolivia",
"Bosnia and Herzegovina",
"Botswana",
"Brazil",
"Brunei",
"Bulgaria",
"Burkina Faso",
"Burundi",
"Cabo Verde",
"Cambodia",
"Cameroon",
"Canada",
"Central African Republic (CAR)",
"Chad",
"Chile",
"China",
"Colombia",
"Comoros",
"Costa Rica",
"Cote d'Ivoire",
"Croatia",
"Cuba",
"Cyprus",
"Czech Republic",
"Denmark",
"Djibouti",
"Dominica",
"Dominican Republic",
"Ecuador",
"Egypt",
"El Salvador",
"Equatorial Guinea",
"Eritrea",
"Estonia",
"Ethiopia",
"Fiji",
"Finland",
"France",
"Gabon",
"Gambia",
"Georgia",
"Germany",
"Ghana",
"Greece",
"Grenada",
"Guatemala",
"Guinea",
"Guinea-Bissau",
"Guyana",
"Haiti",
"Honduras",
"Hungary",
"Iceland",
"India",
"Indonesia",
"Iran",
"Iraq",
"Ireland",
"Israel",
"Italy",
"Jamaica",
"Japan",
"Jordan",
"Kazakhstan",
"Kenya",
"Kiribati",
"Kosovo",
"Kuwait",
"Kyrgyzstan",
"Laos",
"Latvia",
"Lebanon",
"Lesotho",
"Liberia",
"Libya",
"Liechtenstein",
"Lithuania",
"Luxembourg",
"Macedonia (FYROM)",
"Madagascar",
"Malawi",
"Malaysia",
"Maldives",
"Mali",
"Malta",
"Marshall Islands",
"Mauritania",
"Mauritius",
"Mexico",
"Micronesia",
"Moldova",
"Monaco",
"Mongolia",
"Montenegro",
"Morocco",
"Mozambique",
"Myanmar (Burma)",
"Namibia",
"Nauru",
"Nepal",
"Netherlands",
"New Zealand",
"Nicaragua",
"Niger",
"Nigeria",
"North Korea",
"Norway",
"Oman",
"Pakistan",
"Palau",
"Palestine",
"Panama",
"Papua New Guinea",
"Paraguay",
"Peru",
"Philippines",
"Poland",
"Portugal",
"Qatar",
"Romania",
"Russia",
"Rwanda",
"Saint Kitts and Nevis",
"Saint Lucia",
"Saint Vincent and the Grenadines",
"Samoa",
"San Marino",
"Sao Tome and Principe",
"Saudi Arabia",
"Senegal",
"Serbia",
"Seychelles",
"Sierra Leone",
"Singapore",
"Slovakia",
"Slovenia",
"Solomon Islands",
"Somalia",
"South Africa",
"South Korea",
"South Sudan",
"Spain",
"Sri Lanka",
"Sudan",
"Suriname",
"Swaziland",
"Sweden",
"Switzerland",
"Syria",
"Taiwan",
"Tajikistan",
"Tanzania",
"Thailand",
"Timor-Leste",
"Togo",
"Tonga",
"Trinidad and Tobago",
"Tunisia",
"Turkey",
"Turkmenistan",
"Tuvalu",
"Uganda",
"Ukraine",
"United Arab Emirates (UAE)",
"United Kingdom (UK)",
"United States of America (USA)",
"Uruguay",
"Uzbekistan",
"Vanuatu",
"Vatican City (Holy See)",
"Venezuela",
"Vietnam",
"Yemen",
"Zambia",
"Zimbabwe"
];
export default countries;
Search with colorful border
import React from "react";
import { MDBInput, MDBContainer } from "mdbreact";
import "./index.css"
const SearchPage = () => {
return (
<MDBContainer>
<MDBInput hint="Search" type="text" containerClass="active-pink active-pink-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-purple active-purple-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-cyan active-cyan-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-pink-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-purple-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-cyan-2 active-purple-2 mt-0 mb-3" />
<div className="active-pink-3 active-pink-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-purple-3 active-purple-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-cyan-3 active-cyan-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-pink-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-purple-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-cyan-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
</MDBContainer>
);
}
export default SearchPage;
.active-pink input[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-pink-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type=text] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-purple-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-purple-3 input[type=text] {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-cyan-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 input[type=text] {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
Search with icon
import React from "react";
import { MDBContainer, MDBFormInline, MDBIcon } from "mdbreact";
import "./index.css"
const SearchPage = () => {
return (
<MDBContainer>
<MDBFormInline className="md-form">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-pink active-pink-2">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-purple active-purple-2">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-cyan active-cyan-2 ">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-pink-2">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<MDBIcon icon="search" />
</MDBFormInline>
<MDBFormInline className="md-form active-purple-2">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<MDBIcon icon="search" />
</MDBFormInline>
<MDBFormInline className="md-form active-cyan-2 ">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<MDBIcon icon="search" />
</MDBFormInline>
<form className="form-inline mt-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline active-pink-3 active-pink-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline active-purple-3 active-purple-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline active-cyan-3 active-cyan-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
<form className="form-inline active-pink-4 mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
<form className="form-inline active-purple-4 mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
<form className="form-inline active-cyan-4 mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
</MDBContainer>
);
}
export default SearchPage;
.active-pink-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan .fa, .active-cyan-2 .fa {
color: #4dd0e1;
}
.active-purple .fa, .active-purple-2 .fa {
color: #ce93d8;
}
.active-pink .fa, .active-pink-2 .fa {
color: #f48fb1;
}
.active-pink-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type=text] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-purple-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-purple-3 input[type=text] {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-cyan-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 input[type=text] {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 .fa, .active-cyan-4 .fa {
color: #4dd0e1;
}
.active-purple-3 .fa, .active-purple-4 .fa {
color: #ce93d8;
}
.active-pink-3 .fa, .active-pink-4 .fa {
color: #f48fb1;
}
Search with input group
import React from "react";
import { MDBContainer, MDBIcon } from "mdbreact";
import "./index.css"
const SearchPage = () => {
return (
<MDBContainer>
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text purple lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text cyan lighten-2" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text pink lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="input-group md-form form-sm form-2 pl-0">
<input className="form-control my-0 py-1 amber-border" type="text" placeholder="Search" aria-label="Search" />
<div className="input-group-append">
<span className="input-group-text amber lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
</div>
<div className="input-group md-form form-sm form-2 pl-0">
<input className="form-control my-0 py-1 lime-border" type="text" placeholder="Search" aria-label="Search" />
<div className="input-group-append">
<span className="input-group-text lime lighten-2" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
</div>
<div className="input-group md-form form-sm form-2 pl-0">
<input className="form-control my-0 py-1 red-border" type="text" placeholder="Search" aria-label="Search" />
<div className="input-group-append">
<span className="input-group-text red lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
</div>
</MDBContainer>
);
}
export default SearchPage;
.input-group.md-form.form-sm.form-1 input{
border: 1px solid #bdbdbd;
border-top-right-radius: 0.25rem;
border-bottom-right-radius: 0.25rem;
}
.input-group.md-form.form-sm.form-2 input {
border: 1px solid #bdbdbd;
border-top-left-radius: 0.25rem;
border-bottom-left-radius: 0.25rem;
}
.input-group.md-form.form-sm.form-2 input.red-border {
border: 1px solid #ef9a9a;
}
.input-group.md-form.form-sm.form-2 input.lime-border {
border: 1px solid #cddc39;
}
.input-group.md-form.form-sm.form-2 input.amber-border {
border: 1px solid #ffca28;
}

Vue Bootstrap Search

Vue Search - Bootstrap 4 & Material Design

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a 50% discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
get 50% discount on MDB5 PRO

Vue Bootstrap search is a component which enables a process of finding words, sentences, and numbers in the collection of documents, web pages or other sources.

It can be implemented with buttons or icons and placed as an input or in navbar for even better user experience.

Examples of Bootstrap search use:

  • Databases
  • Search engines
  • Built-in search box on documentation page (like the one on the left)

You can use material design version or default bootstrap style.


Basic example

Basic example of search form.

        
            
          <template>
            <mdb-input label="Search" type="text" class="mt-0" />
          </template>
          
        
    
        
             <script>
            import {
              mdbInput
            } from 'mdbvue';
            export default {
              name: 'mdbSearchEcample',
              components: {
                mdbInput
              }
            }
          </script>
          
        
    
        
            
          <template>
            <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
          </template>
          
        
    

Search with colorful border

        
            
          <template>
            <mdb-container>
              <mdb-input label="Search" type="text" class="active-pink active-pink-2 mt-0 mb-3" />
              <mdb-input label="Search" type="text" class="active-purple active-purple-2 mt-0 mb-3" />
              <mdb-input label="Search" type="text" class="active-cyan active-cyan-2 mt-0 mb-3" />
              <mdb-input label="Search" type="text" class="active-pink-2 mt-0 mb-3" />
              <mdb-input label="Search" type="text" class="active-purple-2 mt-0 mb-3" />
              <mdb-input label="Search" type="text" class="active-cyan-2 active-purple-2 mt-0 mb-3" />
            </mdb-container>
          </template>
          
        
    
        
             <script>
            import {
              mdbInput,
              mdbContainer
            } from 'mdbvue';
            export default {
              components: {
                mdbInput,
                mdbContainer
              }
            }
          </script>
          
        
    
        
             <style>
            .active-pink-2 input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #f48fb1;
              box-shadow: 0 1px 0 0 #f48fb1;
            }

            .active-pink input[type=text] {
              border-bottom: 1px solid #f48fb1;
              box-shadow: 0 1px 0 0 #f48fb1;
            }

            .active-purple-2 input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #ce93d8;
              box-shadow: 0 1px 0 0 #ce93d8;
            }

            .active-purple input[type=text] {
              border-bottom: 1px solid #ce93d8;
              box-shadow: 0 1px 0 0 #ce93d8;
            }

            .active-cyan-2 input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #4dd0e1;
              box-shadow: 0 1px 0 0 #4dd0e1;
            }

            .active-cyan input[type=text] {
              border-bottom: 1px solid #4dd0e1;
              box-shadow: 0 1px 0 0 #4dd0e1;
            }

            .active-cyan .fa,
            .active-cyan-2 .fa {
              color: #4dd0e1 !important;
            }

            .active-purple .fa,
            .active-purple-2 .fa {
              color: #ce93d8 !important;
            }

            .active-pink .fa,
            .active-pink-2 .fa {
              color: #f48fb1 !important;
            }
          </style>
          
        
    
        
            
          <template>
            <mdb-container>
              <div class="active-pink-3 active-pink-4 mb-3">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
              </div>
              <div class="active-purple-3 active-purple-4 mb-3">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
              </div>
              <div class="active-cyan-3 active-cyan-4 mb-3">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
              </div>
              <div class="active-pink-4 mb-3">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
              </div>
              <div class="active-purple-4 mb-3">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
              </div>
              <div class="active-cyan-4 mb-3">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search" />
              </div>
            </mdb-container>
          </template>
          
        
    
        
             <script>
            import {
              mdbContainer
            } from 'mdbvue';
            export default {
              components: {
                mdbContainer
              }
            }
          </script>
          
        
    
        
             <style>
            .active-pink-4 input[type=text]:focus:not([readonly]) {
              border: 1px solid #f48fb1;
              box-shadow: 0 0 0 1px #f48fb1;
            }

            .active-pink-3 input[type=text] {
              border: 1px solid #f48fb1;
              box-shadow: 0 0 0 1px #f48fb1;
            }

            .active-purple-4 input[type=text]:focus:not([readonly]) {
              border: 1px solid #ce93d8;
              box-shadow: 0 0 0 1px #ce93d8;
            }

            .active-purple-3 input[type=text] {
              border: 1px solid #ce93d8;
              box-shadow: 0 0 0 1px #ce93d8;
            }

            .active-cyan-4 input[type=text]:focus:not([readonly]) {
              border: 1px solid #4dd0e1;
              box-shadow: 0 0 0 1px #4dd0e1;
            }
          </style>
          
        
    

Search with icon

        
            
          <template>
            <div>
              <mdb-form-inline class="md-form">
                <mdbIcon icon="search" />
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="md-form active-pink active-pink-2">
                <mdbIcon icon="search" />
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="md-form active-purple active-purple-2">
                <mdbIcon icon="search" />
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="md-form active-cyan active-cyan-2 ">
                <mdbIcon icon="search" />
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="md-form active-pink-2">
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
                <mdbIcon icon="search" />
              </mdb-form-inline>
              <mdb-form-inline class="md-form active-purple-2">
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
                <mdbIcon icon="search" />
              </mdb-form-inline>
              <mdb-form-inline class="md-form active-cyan-2 ">
                <mdb-input type="text" placeholder="Search" aria-label="Search" />
                <mdbIcon icon="search" />
              </mdb-form-inline>
            </div>
          </template>
          
        
    
        
             <script>
            import {
              mdbIcon,
              mdbFormInline,
              mdbInput
            } from 'mdbvue';
            export default {
              components: {
                mdbIcon,
                mdbFormInline,
                mdbInput
              }
            }
          </script>
          
        
    
        
             <style>
            .active-pink-2 input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #f48fb1;
              box-shadow: 0 1px 0 0 #f48fb1;
            }

            .active-pink input[type=text] {
              border-bottom: 1px solid #f48fb1;
              box-shadow: 0 1px 0 0 #f48fb1;
            }

            .active-purple-2 input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #ce93d8;
              box-shadow: 0 1px 0 0 #ce93d8;
            }

            .active-purple input[type=text] {
              border-bottom: 1px solid #ce93d8;
              box-shadow: 0 1px 0 0 #ce93d8;
            }

            .active-cyan-2 input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #4dd0e1;
              box-shadow: 0 1px 0 0 #4dd0e1;
            }

            .active-cyan input[type=text] {
              border-bottom: 1px solid #4dd0e1;
              box-shadow: 0 1px 0 0 #4dd0e1;
            }

            .active-cyan .fa,
            .active-cyan-2 .fa {
              color: #4dd0e1;
            }

            .active-purple .fa,
            .active-purple-2 .fa {
              color: #ce93d8;
            }

            .active-pink .fa,
            .active-pink-2 .fa {
              color: #f48fb1;
            }
          </style>
          
        
    
        
            
          <template>
            <div>
              <mdb-form-inline>
                <mdbIcon icon="search" />
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="active-pink active-pink-2">
                <mdbIcon icon="search" />
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="active-purple active-purple-2">
                <mdbIcon icon="search" />
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="active-cyan active-cyan-2 ">
                <mdbIcon icon="search" />
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              </mdb-form-inline>
              <mdb-form-inline class="active-pink-2">
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
                <mdbIcon icon="search" />
              </mdb-form-inline>
              <mdb-form-inline class="active-purple-2">
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
                <mdbIcon icon="search" />
              </mdb-form-inline>
              <mdb-form-inline class="active-cyan-2 ">
                <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
                <mdbIcon icon="search" />
              </mdb-form-inline>
            </div>
          </template>
          
        
    
        
             <script>
            import {
              mdbIcon,
              mdbFormInline,
              mdbInput
            } from 'mdbvue';
            export default {
              components: {
                mdbIcon,
                mdbFormInline,
                mdbInput
              }
            }
          </script>
          
        
    
        
             <style>
            .active-pink-2 input[type=text]:focus:not([readonly]) {
              border: 1px solid #f48fb1;
              box-shadow: 0 1px 0 0 #f48fb1;
            }

            .active-pink input[type=text] {
              border: 1px solid #f48fb1;
              box-shadow: 0 1px 0 0 #f48fb1;
            }

            .active-purple-2 input[type=text]:focus:not([readonly]) {
              border: 1px solid #ce93d8;
              box-shadow: 0 1px 0 0 #ce93d8;
            }

            .active-purple input[type=text] {
              border: 1px solid #ce93d8;
              box-shadow: 0 1px 0 0 #ce93d8;
            }

            .active-cyan-2 input[type=text]:focus:not([readonly]) {
              border: 1px solid #4dd0e1;
              box-shadow: 0 1px 0 0 #4dd0e1;
            }

            .active-cyan input[type=text] {
              border: 1px solid #4dd0e1;
              box-shadow: 0 1px 0 0 #4dd0e1;
            }

            .active-cyan .fa,
            .active-cyan-2 .fa {
              color: #4dd0e1;
            }

            .active-purple .fa,
            .active-purple-2 .fa {
              color: #ce93d8;
            }

            .active-pink .fa,
            .active-pink-2 .fa {
              color: #f48fb1;
            }
          </style>
          
        
    

Search with input group

        
            
      <template>
        <div>
          <div class="input-group md-form form-sm form-1 pl-0">
            <div class="input-group-prepend">
              <span class="input-group-text purple lighten-3" id="basic-text1">
                    <mdbIcon icon="search"/>
                  </span>
            </div>
            <input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
          </div>
          <div class="input-group md-form form-sm form-1 pl-0">
            <div class="input-group-prepend">
              <span class="input-group-text cyan lighten-2" id="basic-text1">
                    <mdbIcon icon="search"/>
                  </span>
            </div>
            <input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
          </div>
          <div class="input-group md-form form-sm form-1 pl-0">
            <div class="input-group-prepend">
              <span class="input-group-text pink lighten-3" id="basic-text1">
                    <mdbIcon icon="search"/>
                  </span>
            </div>
            <input class="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search">
          </div>
          <div class="input-group md-form form-sm form-2 pl-0">
            <input class="form-control my-0 py-1 amber-border" type="text" placeholder="Search" aria-label="Search">
            <div class="input-group-append">
              <span class="input-group-text amber lighten-3" id="basic-text1">
                    <mdbIcon icon="search"/>
                  </span>
            </div>
          </div>
          <div class="input-group md-form form-sm form-2 pl-0">
            <input class="form-control my-0 py-1 lime-border" type="text" placeholder="Search" aria-label="Search">
            <div class="input-group-append">
              <span class="input-group-text lime lighten-2" id="basic-text1">
                    <mdbIcon icon="search"/>
                  </span>
            </div>
          </div>
          <div class="input-group md-form form-sm form-2 pl-0">
            <input class="form-control my-0 py-1 red-border" type="text" placeholder="Search" aria-label="Search">
            <div class="input-group-append">
              <span class="input-group-text red lighten-3" id="basic-text1">
                    <mdbIcon icon="search"/>
                  </span>
            </div>
          </div>
        </div>
      </template>
      
        
    
        
             <script>
        import {
          mdbIcon
        } from 'mdbvue';
        export default {
          components: {
            mdbIcon
          }
        }
      </script>
      
        
    
        
             <style>
        .input-group.md-form.form-sm.form-1 input {
          border: 1px solid #bdbdbd;
          border-top-right-radius: 0.25rem;
          border-bottom-right-radius: 0.25rem;
        }

        .input-group.md-form.form-sm.form-2 input {
          border: 1px solid #bdbdbd;
          border-top-left-radius: 0.25rem;
          border-bottom-left-radius: 0.25rem;
        }

        .input-group.md-form.form-sm.form-2 input.red-border {
          border: 1px solid #ef9a9a;
        }

        .input-group.md-form.form-sm.form-2 input.lime-border {
          border: 1px solid #cddc39;
        }

        .input-group.md-form.form-sm.form-2 input.amber-border {
          border: 1px solid #ffca28;
        }
      </style>
      
        
    

Search with buttons MDB Pro component

Info notification

MDB has many buttons to use within search box. Take a look here to know all the possibilities.

        
            
        <template>
          <div>
            <mdb-form-inline class="mr-auto mb-4">
              <mdb-input class="mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn gradient="blue" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <mdb-input class="mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn outline="success" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <mdb-input class="mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn color="unique" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
            </mdb-form-inline>
            <mdb-form-inline class="mr-auto mb-4">
              <mdb-input class="mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn gradient="aqua" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <mdb-input class="mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn outline="warning" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <mdb-input class="mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn color="elegant" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
            </mdb-form-inline>
            <form class="form-inline mr-auto">
              <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn gradient="purple" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn outline="danger" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn color="indigo" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
            </form>
            <form class="form-inline mr-auto">
              <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn gradient="peach" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn outline="info" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
              <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />
              <mdb-btn color="mdb-color" rounded size="sm" type="submit" class="mr-auto">Search</mdb-btn>
            </form>
          </div>
        </template>
        
        
    
        
             <script>
          import {
            mdbInput,
            mdbBtn,
            mdbFormInline
          } from 'mdbvue';
          export default {
            name: 'mdbSearchEcample',
            components: {
              mdbInput,
              mdbBtn,
              mdbFormInline
            }
          }
        </script>
        
        
    


Search within select MDB Pro component

        
            
        <template>
          <mdb-select search placeholder="Choose your country" :options="[
                    {value: 'Option 1', text: 'Option nr 1'},
                    {value: 'Option 2', text: 'Option nr 2'},
                    {value: 'Option 3', text: 'Option nr 3'},
                    {value: 'Option 4', text: 'Option nr 4'},
                    {value: 'Option 5', text: 'Option nr 5'}
                  ]" />
        </template>
        
        
    
        
             <script>
          import {
            mdbSelect
          } from 'mdbvue';
          export default {
            name: 'mdbSearchEcample',
            components: {
              mdbSelect
            }
          }
        </script>
        
        
    

Search within multiselect MDB Pro component

        
            
        <template>
          <mdb-select multiple selectAll search placeholder="Choose your country" :options="[
                {value: 'Option 1', text: 'USA'},
                {value: 'Option 2', text: 'Germany'},
                {value: 'Option 3', text: 'France'},
                {value: 'Option 4', text: 'Poland'},
                {value: 'Option 5', text: 'Japan'}
              ]" />
        </template>
        
        
    
        
             <script>
          import {
            mdbSelect
          } from 'mdbvue';
          export default {
            name: 'mdbSearchEcample',
            components: {
              mdbSelect
            }
          }
        </script>